Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class EMBLxmlFormat.Terms

    java.lang.Object
      org.biojavax.bio.seq.RichSequence.Terms
          org.biojavax.bio.seq.io.EMBLxmlFormat.Terms

Enclosing class:
  EMBLxmlFormat

    public static class EMBLxmlFormat.Terms

extends RichSequence.Terms

Implements some EMBLxml-specific terms.

Field Summary

Fields inherited from class org.biojavax.bio.seq.RichSequence.Terms
`DOI_KEY, MEDLINE_KEY, PLASMID_KEY, PUBMED_KEY, SPECIES_KEY, STRAIN_KEY, TISSUE_KEY, TRANSPOSON_KEY`

Constructor Summary
`EMBLxmlFormat.Terms()`

Method Summary
`static ComparableTerm` | `getDataClassTerm()` Getter for the Ensembl-specific 'dataClass' term
`static ComparableTerm` | `getEMBLxmlTerm()` Getter for the EMBLxml term
`static ComparableTerm` | `getProjectAccessionTerm()` Getter for the ProjectAccession term
`static ComparableTerm` | `getStatusDateTerm()` Getter for the StatusDate term
`static ComparableTerm` | `getStatusTerm()` Getter for the Status term
`static ComparableTerm` | `getSubmitterAccessionTerm()` Getter for the SubmitterAccession term
`static ComparableTerm` | `getSubmitterVersionTerm()` Getter for the SubmitterVersion term
`static ComparableTerm` | `getSubmitterWgsVersionTerm()` Getter for the SubmitterWgsVersion term

Methods inherited from class org.biojavax.bio.seq.RichSequence.Terms
`getAdditionalAccessionTerm, getCopyrightTerm, getDateAnnotatedTerm, getDateCreatedTerm, getDateUpdatedTerm, getFeatureDescTerm, getFTIdTerm, getGeneNameTerm, getGeneSynonymTerm, getKeywordTerm, getMolTypeTerm, getOrderedLocusNameTerm, getORFNameTerm, getOrganelleTerm, getPlasmidTerm, getRelAnnotatedTerm, getRelCreatedTerm, getRelUpdatedTerm, getSpeciesTerm, getStrainTerm, getStrandedTerm, getTissueTerm, getTransposonTerm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMBLxmlFormat.Terms

    public EMBLxmlFormat.Terms()

Method Detail

### getSubmitterAccessionTerm

    public static ComparableTerm getSubmitterAccessionTerm()

  Getter for the SubmitterAccession term

  Returns:
    The SubmitterAccession Term

### getSubmitterVersionTerm

    public static ComparableTerm getSubmitterVersionTerm()

  Getter for the SubmitterVersion term

  Returns:
    The SubmitterVersion Term

### getSubmitterWgsVersionTerm

    public static ComparableTerm getSubmitterWgsVersionTerm()

  Getter for the SubmitterWgsVersion term

  Returns:
    The SubmitterWgsVersion Term

### getStatusTerm

    public static ComparableTerm getStatusTerm()

  Getter for the Status term

  Returns:
    The Status Term

### getStatusDateTerm

    public static ComparableTerm getStatusDateTerm()

  Getter for the StatusDate term

  Returns:
    The StatusDate Term

### getProjectAccessionTerm

    public static ComparableTerm getProjectAccessionTerm()

  Getter for the ProjectAccession term

  Returns:
    The ProjectAccession Term

### getEMBLxmlTerm

    public static ComparableTerm getEMBLxmlTerm()

  Getter for the EMBLxml term

  Returns:
    The EMBLxml Term

### getDataClassTerm

    public static ComparableTerm getDataClassTerm()

  Getter for the Ensembl-specific 'dataClass' term

  Returns:
    The data class Term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD